Create a session
Create a session
/browserbase/v1/sessions● SupportedRequest parameters
projectIdstring可选The Project ID. Can be found in [Settings](https://www.browserbase.com/settings). Optional - if not provided, the project will be inferred from the API key.
extensionIdstring可选○ 未支持This configuration is unavailable.
browserSettingsobject可选▸ 展开子字段(14)
contextobject可选▸ 展开子字段(2)
idstring必填The Context ID.
persistboolean可选Whether or not to persist the context after browsing. Defaults to `false`.
extensionIdstring可选○ 未支持This configuration is unavailable.
viewportobject可选▸ 展开子字段(2)
widthinteger可选The width of the browser.
heightinteger可选The height of the browser.
blockAdsboolean可选◐ 部分支持Accepted but ignored; does not enable this capability.
solveCaptchasboolean可选◐ 部分支持Accepted but ignored; does not enable this capability.
recordSessionboolean可选◐ 部分支持Accepted but ignored; does not enable this capability.
logSessionboolean可选◐ 部分支持Accepted but ignored; does not enable this capability.
advancedStealthboolean可选○ 未支持This configuration is unavailable.
verifiedboolean可选○ 未支持This configuration is unavailable.
captchaImageSelectorstring可选Custom selector for captcha image. See [Custom Captcha Solving](/features/stealth-mode#custom-captcha-solving)
captchaInputSelectorstring可选Custom selector for captcha input. See [Custom Captcha Solving](/features/stealth-mode#custom-captcha-solving)
osstring可选○ 未支持This configuration is unavailable.
allowedDomainsarray可选○ 未支持This configuration is unavailable.
ignoreCertificateErrorsboolean可选○ 未支持This configuration is unavailable.
timeoutinteger可选Duration in seconds after which the session will automatically end. Defaults to the Project's `defaultTimeout`. Minimum 60 seconds, maximum 21600 seconds (6 hours).
keepAliveboolean可选Set to true to keep the session alive even after disconnections. Available on the Hobby Plan and above.
proxiesunion可选◐ 部分支持Only omission, false or [{type: 'none'}] is accepted; other proxy configurations return 501.
proxySettingsobject可选Supplementary proxy settings. Optional.
▸ 展开子字段(1)
caCertificatesarray可选The TLS certificate IDs to trust. Optional.
regionstring可选◐ 部分支持Accepted but ignored; does not enable this capability.
userMetadataobject可选Arbitrary user metadata to attach to the session. To learn more about user metadata, see [User Metadata](/features/sessions#user-metadata).
Returns
201
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
Response
HTTP 201
The request has succeeded and a new resource has been created as a result.
application/json
| Name | Type | Description |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the Session. |
| startedAt | string | |
| endedAt | string | |
| expiresAt | string | |
| status | string | |
| proxyBytes | integer | Bytes used via the Proxy |
| keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| contextId | string | Optional. The Context linked to the Session. |
| region | string | The region where the Session is running. |
| userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
| connectUrl | string | WebSocket URL to connect to the Session. |
| seleniumRemoteUrl | string | HTTP URL to connect to the Session. |
| signingKey | string | Signing key to use when connecting to the Session via HTTP. |